HYPRPICKER(1)

NAME
hyprpicker - wlroots-compatible wayland color picker

SYNOPSIS
hyprpicker [-acnh] [-f fmt]

DESCRIPTION
The hyprpicker utility is a color-picker with support for various output formats. When hyprpicker is invoked the cursor is transformed into a magnifying lens, and clicking on any pixel of the screen will print out that pixels color to the standard output. The default output format is hexadecimal, but that can be configured with the -f option.

The options are as follows:

-a, - -autocopy
    Automatically copy the output of hyprpicker to the clipboard. This option requires that the wl-copy(1) command is installed on system.

-f fmt, - -format=fmt
    Select the format to output the selected pixels color in. The argument fmt is case-insensitive. The available options are:

    cmyk
        (“C% M% Y% K%”)
    hex (“#RRGGBB”)
    rgb (“R G B”)
    hsl (“H S% L%”)
    hsv (“H S% V%”)

    The default format is hex.

-n, - -no-fancy
    Disable colored output. Default behavior is to color the output in the same color as the selected pixel.

-h, - -help
    Display a help message and exit successfully from the program.

-c, - -cursor
    Include the cursor in the frozen preview.

ENVIRONMENT

NO_COLOR
    If set, disables colored output.

EXIT STATUS

EXAMPLES
Get a pixels color:

    $ hyprpicker

Get a pixels color in HSL, wrapped in a CSS hsl() function:

    $ hyprpicker -f hsl | sed 's/^/hsl(/; s/$/)/; y/ /,/'

SEE ALSO
hyprctl(1), hyprland(1), sed(1), wl-copy(1)

The Hyprpicker Sources: https://github.com/hyprwm/hyprpicker

AUTHORS
-nosplit The hyprpicker utility was originally written by Vaxerski <https://github.com/vaxerski> and the manual page by Thomas Voss <mail@thomasvoss.com>.

BUGS
The Hyprpicker Bug Tracker: https://github.com/hyprwm/hyprpicker/issues